Skip to content
Endless Documentation

Get Generations

GET
/organizations/{organization_id}/generations/{generation_id}

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Length1 <= length
generation_id*string
Length1 <= length

Response Body

application/json

curl -X GET "https://example.com/organizations/org_abc123/generations/0191e5a2-b04c-7036-a91e-3d6f8c25b7e0"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organization_id": "string",  "created_by_id": "string",  "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",  "model_variant_id": "8d03bd73-a54d-4105-8311-7841d5508626",  "quick_action_id": "a9f574e4-27e8-47c7-8ae8-fe89b5803d91",  "status": "pending",  "parameters": "string",  "error": "string",  "canvas_id": "b62c6beb-2de8-4ee5-ac63-068ebe40140b",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",  "tool_call_id": "string",  "fal_request_id": "b474c35f-d938-457a-a5d1-382102559877",  "replicate_prediction_id": "string",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "deleted_at": "2019-08-24T14:15:22Z",  "deleted_by_id": "string",  "reconcile_attempts": -2147483648,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "assets": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organization_id": "string",      "created_by_id": "string",      "type": "image",      "title": "string",      "mime_type": "string",      "url": "string",      "content": "string",      "upload_file_state": "in_progress",      "enrichment_state": "ignored",      "visibility": "private",      "metadata": "string",      "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e",      "origin_conversation_id": "4754211d-696b-46d6-8b2f-376fa5a2850c",      "origin_canvas_id": "16b35206-3210-42c7-a590-f6d220e0854e",      "deleted_at": "2019-08-24T14:15:22Z",      "deleted_by_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}